diff --git a/mythplugins/mythvideo/i18n/mythvideo_et.ts b/mythplugins/mythvideo/i18n/mythvideo_et.ts
index d080fa9..2560248 100644
--- a/mythplugins/mythvideo/i18n/mythvideo_et.ts
+++ b/mythplugins/mythvideo/i18n/mythvideo_et.ts
@@ -1,50 +1,83 @@
-<!DOCTYPE TS><TS>
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1" language="et">
+<defaultcodec></defaultcodec>
 <context>
-    <name></name>
+    <name>@default</name>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="647"/>
         <source>G</source>
         <comment>PL 1 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>G</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="649"/>
         <source>PG</source>
         <comment>PL 2 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>PG</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="651"/>
         <source>PG-13</source>
         <comment>PL3 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>PG-13</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="653"/>
         <source>R:NC-17</source>
         <comment>PL4 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>R:NC-17</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="105"/>
+        <source>Cover download stopped.</source>
+        <translation>Kaaneepildi allalaadimine peatatud.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="264"/>
+        <source>Error writing data to file %1.</source>
+        <translation>Andmete faili &quot;%1&quot; kirjutamise viga.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="271"/>
+        <source>Error: file error &apos;%1&apos; for file %2</source>
+        <translation>Viga: faili &quot;%2&quot; viga &quot;%1&quot;</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="212"/>
+        <source>Fanart download stopped.</source>
+        <translation>&quot;fanart&quot; allalaadimine peatatud.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="361"/>
+        <source>No command to run.</source>
+        <translation>Käivitamiskäsk puudub.</translation>
     </message>
 </context>
 <context>
     <name>DVDRipBox</name>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="243"/>
         <source>Your connection to the Myth Transcoding Daemon has gone away. This is not a good thing.</source>
         <translation>Ühendus Myth Transcoding Daemon&apos;iga kadus. See ei tähenda head.</translation>
     </message>
     <message>
         <source>Cannot connect to your Myth Transcoding Daemon. You can try hitting any number key to start it. If you still see this message, then something is really wrong.</source>
-        <translation>Ei suuda ühenduda Myth Transcoding Daemon&apos;iga. Võid proovida kivitamiseks suvalist numbriklahvi. Kui see teade on ikka näha, on kuskil midagi väga mäda.</translation>
+        <translation type="obsolete">Ei suuda ühenduda Myth Transcoding Daemon&apos;iga. Võid proovida kivitamiseks suvalist numbriklahvi. Kui see teade on ikka näha, on kuskil midagi väga mäda.</translation>
     </message>
     <message>
         <source>Attempting to connect to your mtd said host not found. This is unrecoverably bad. </source>
-        <translation>MTD ühendumisel öeldi, et masin puudub. Kuskil on masina nimi puudu või ei tööta nimelahendus.</translation>
+        <translation type="obsolete">MTD ühendumisel öeldi, et masin puudub. Kuskil on masina nimi puudu või ei tööta nimelahendus.</translation>
     </message>
     <message>
         <source>Socket communication errors. This is unrecoverably bad. </source>
-        <translation>Sokliga suhtlemise vead. See on parandamatu viga. </translation>
+        <translation type="obsolete">Sokliga suhtlemise vead. See on parandamatu viga. </translation>
     </message>
     <message>
         <source>Something is wrong, but I don&apos;t know what.</source>
-        <translation>Midagi on valesti kuid ei saa aru mis.</translation>
+        <translation type="obsolete">Midagi on valesti kuid ei saa aru mis.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="451"/>
         <source>Job %1 of %2</source>
         <translation>Töö %1 %2-st</translation>
     </message>
@@ -53,6 +86,7 @@
         <translation type="obsolete">Pole töid ega ka midagi muud teha. Vajuta 0 DVD rippimiseks.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="549"/>
         <source>No Jobs. Checking and/or waiting for DVD.</source>
         <translation>Pole töid. DVD kontrollimine ja/või ootamine.</translation>
     </message>
@@ -61,6 +95,7 @@
         <translation type="obsolete">Pole töid ega ka midagi muud teha. Vajuta 0 ketta rippimiseks, kui soovid.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="866"/>
         <source>Cancelling ...</source>
         <translation>Katkestamine ...</translation>
     </message>
@@ -73,29 +108,54 @@
         <translation type="obsolete">9 Töö katkestamine</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="547"/>
         <source>No jobs and nothing else to do. You could rip a DVD.</source>
-        <translation type="unfinished"></translation>
+        <translation>Töid pole. Võid DVD-d rippida.</translation>
     </message>
     <message>
         <source>No jobs and nothing else to do. You could rip a disc if you like.</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Töid pole. Võid rippida kui soovid.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="170"/>
         <source>New Rip</source>
-        <translation type="unfinished"></translation>
+        <translation>Uus rip</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="171"/>
         <source>Cancel Job</source>
-        <translation type="unfinished"></translation>
+        <translation>Töö katkestamine</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="268"/>
+        <source>Attempting to launch mtd...</source>
+        <translation>mtd käivitamise üritamine...</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="273"/>
+        <source>Cannot connect to your Myth Transcoding Daemon.</source>
+        <translation>Ei saa ühenduda Myth Transcoding Daemon-iga.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="281"/>
+        <source>Attempting to connect to your mtd said host not found. Unable to recover.</source>
+        <translation>mtd serveriga ühendumisel ei leitud serverit (host not found).</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="286"/>
+        <source>Unknown connection error.</source>
+        <translation>Muu ühenduse viga.</translation>
     </message>
 </context>
 <context>
     <name>EditMetadataDialog</name>
     <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="174"/>
         <source>Level %1</source>
         <translation>Tase %1</translation>
     </message>
     <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="188"/>
         <source>None</source>
         <translation>Puudub</translation>
     </message>
@@ -105,75 +165,97 @@
     </message>
     <message>
         <source>Done</source>
-        <translation>Valmis</translation>
+        <translation type="obsolete">Valmis</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="278"/>
+        <source>Enter new category</source>
+        <translation>Lisa uus kategooria</translation>
     </message>
 </context>
 <context>
     <name>FileAssocDialog</name>
     <message>
         <source>Please enter the new extension:</source>
-        <translation>Sisesta uus laend:</translation>
+        <translation type="obsolete">Sisesta uus laend:</translation>
     </message>
     <message>
         <source>Create new extension</source>
-        <translation>Loo uus laiend</translation>
+        <translation type="obsolete">Loo uus laiend</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="374"/>
         <source>Done</source>
         <translation>Valmis</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="375"/>
         <source>New</source>
         <translation>Uus</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="373"/>
         <source>Delete</source>
         <translation>Kustuta</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="435"/>
+        <source>Enter the new extension:</source>
+        <translation>Lisa uus laend:</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
     <message>
         <source>New category</source>
-        <translation>Uus kategooria</translation>
+        <translation type="obsolete">Uus kategooria</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="18"/>
         <source>Starting Parental Level</source>
         <translation>Algne vanemlik tase</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="19"/>
         <source>4 - Highest</source>
         <translation>4 - kõrgeim</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="21"/>
         <source>1 - Lowest</source>
         <translation>1 - madalaim</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="28"/>
         <source>This is the &apos;level&apos; that MythVideo starts at. Any videos with a level at or below this will be shown in the list or while browsing by default. The Parental PIN should be set to limit changing of the default level.</source>
         <translation>MythVideo alustab sellel tasemel. Kõik sellise või madalama tasemega videod on näha nimekirjas ning vaikimisi lehitsetavad. Vaikimisi taseme muutmiseks tuleb sisestada vanemlik kood.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="35"/>
         <source>Default View</source>
         <translation>Vaikimisi vaade</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="36"/>
         <source>Gallery</source>
         <translation>Galerii</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="38"/>
         <source>Browser</source>
         <translation>Lehitseja</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="40"/>
         <source>Listings</source>
         <translation>Nimekiri</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="46"/>
         <source>The default view for MythVideo. Other views can be reached via the popup menu available via the MENU key.</source>
         <translation>MythVideo vaikimisi vaade. Ülejäänud vaated on valitavad MENÜÜ klahviga avanevast hüpikmenüüst.</translation>
     </message>
@@ -186,74 +268,92 @@
         <translation type="obsolete">Seda koodi kasutatakse vanemliku taseme muutmiseks. Soovitatav oleks kasutada koodina ainult numbreid.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="88"/>
         <source>Aggressive Parental Control</source>
         <translation>Agressiivne vanemlik kontroll</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="93"/>
         <source>If set, you will not be able to return to this screen and reset the Parental PIN without first entering the current PIN. You have been warned.</source>
         <translation>Märkimisel ei ole siia menüüsse enam koodi teadmata võimalik siseneda.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="100"/>
         <source>Show Unknown File Types</source>
         <translation>Näita tundmatuid failitüüpe</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="104"/>
         <source>If set, all files below the Myth Video directory will be displayed unless their extension is explicitly set to be ignored. </source>
         <translation>Märkimisel näidatakse kõiki MythVideo kataloogis olevaid faile, mis pole eraldi keelatud. </translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="111"/>
         <source>Video Browser browses files</source>
         <translation>Lehitsejas näidatakse kõiki faile</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="116"/>
         <source>If set, this will cause the Video Browser screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Märkimisel on brauseris kõik MythVideo kataloogis olevad failid nähtavad (ka juhul kui neid pole skaneeritud).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="123"/>
         <source>Video Gallery browses files</source>
         <translation>Galeriis näidatakse kõiki faile</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="128"/>
         <source>If set, this will cause the Video Gallery screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Märkimisel on galeriis kõik MythVideo kataloogis olevad failid nähtavad (ka juhul kui neid pole skaneeritud).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="135"/>
         <source>Video List browses files</source>
         <translation>Nimekirjas näidatakse kõiki faile</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="140"/>
         <source>If set, this will cause the Video List screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Märkimisel on nimekirjas kõik MythVideo kataloogis olevad failid nähtavad (ka juhul kui neid pole skaneeritud).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="147"/>
         <source>Video List Loads Video Meta Data</source>
         <translation>Nimekirja loetakse metainfo</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="152"/>
         <source>If set along with Browse Files, this will cause the Video List to load any known video metadata from the database. Turning this off can greatly  speed up how long it takes to load the Video List tree</source>
         <translation>Märkimisel loeb lehitseja andebaasist kogu teadaoleva metainfo. Selle keelamine suurendab märkimisväärselt videode nimekirja laadimiskiirust</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="159"/>
         <source>Newly scanned files are browsable by default</source>
         <translation>Värskelt skaneeritud failid on vaikimisi lehitsetavad</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="163"/>
         <source>If set, newly scanned files in the Video Manager will be marked as browsable and will appear in the &apos;Browse&apos; menu.</source>
         <translation>Märkimisel märgitakse värskelt videohalduris skaneeritud failid lehitsetavateks ning ilmuvad menüüsse &quot;Lehitse&quot;.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="201"/>
         <source>Command to search for movie listings</source>
         <translation>Filminimekirjade otsingukäsk</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="234"/>
         <source>This command must be executable by the user running MythVideo.</source>
         <translation>See käsk peab olema MythVideo käivitanud kasutajale käivitatav.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="211"/>
         <source>Command to search for movie posters</source>
         <translation>Filmiplakatite otsingukäsk</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="231"/>
         <source>Command to extract data for movies</source>
         <translation>Filmist andmete leidmiskäsk</translation>
     </message>
@@ -266,10 +366,12 @@
         <translation type="obsolete">See kataloog peab eksisteerima ning MythVideo käivitanud kasutajal peab olema sellest lugemisõigus.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="252"/>
         <source>Directory that holds movie posters</source>
         <translation>Filmiplakatite kataloog</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="300"/>
         <source>This directory must exist, and the user running MythVideo needs to have read/write permission to the directory.</source>
         <translation>Kataloog, kus hoitakse filmiplakateid. Kataloog peab eksisteerima ning olema loetav ja kirjutatav MythVideo käivitanud kasutajale.</translation>
     </message>
@@ -278,24 +380,25 @@
         <translation type="obsolete">Vaikimisi mängija</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="314"/>
         <source>This is the command used for any file that the extension is not specifically defined. You may also enter the name of one of the playback plugins such as &apos;Internal&apos;.</source>
         <translation>Seda käsku kasutatakse iga faili puhul, mille laiend pole eraldi defineeritud. Sisestada võib ka mõne mahamängimise plugina nagu näiteks &quot;Internal&quot;.</translation>
     </message>
     <message>
         <source>Rows to display</source>
-        <translation>Näidatavaid ridu</translation>
+        <translation type="obsolete">Näidatavaid ridu</translation>
     </message>
     <message>
         <source>Columns to display</source>
-        <translation>Näidatavaid veerge</translation>
+        <translation type="obsolete">Näidatavaid veerge</translation>
     </message>
     <message>
         <source>Show title below thumbnails</source>
-        <translation>Näita nime pisipildi all</translation>
+        <translation type="obsolete">Näita nime pisipildi all</translation>
     </message>
     <message>
         <source>If set, the additional text will make the thumbnails smaller.</source>
-        <translation>Märkimisel teeb lisatekst pisipildi väiksemaks.</translation>
+        <translation type="obsolete">Märkimisel teeb lisatekst pisipildi väiksemaks.</translation>
     </message>
     <message>
         <source>Maintain aspect ratio of thumbnails</source>
@@ -307,33 +410,37 @@
     </message>
     <message>
         <source>General Settings (1/2)</source>
-        <translation type="obsolete">Üldised sätted (1/2)</translation>
+        <translation type="obsolete">Üldised seadistused (1/2)</translation>
     </message>
     <message>
         <source>General Settings (2/2)</source>
-        <translation type="obsolete">Üldised sätted (2/2)</translation>
+        <translation type="obsolete">Üldised seadistused (2/2)</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="748"/>
         <source>Video Manager</source>
         <translation>Videohaldur</translation>
     </message>
     <message>
         <source>Video Gallery</source>
-        <translation>Video galerii</translation>
+        <translation type="obsolete">Video galerii</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="793"/>
         <source>Player Settings</source>
-        <translation>Mängija sätted</translation>
+        <translation>Mängija seadistused</translation>
     </message>
     <message>
         <source>Parental Pin:</source>
         <translation type="obsolete">Vanemlik kood:</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="638"/>
         <source>Unknown</source>
         <translation>Tundmatu</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="18"/>
         <source>None</source>
         <translation>Puudub</translation>
     </message>
@@ -342,12 +449,13 @@
         <translation type="obsolete">Tundmatu reiting</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globals.cpp" line="17"/>
         <source>No Cover</source>
-        <translation type="unfinished">Kaanepilt puudub</translation>
+        <translation>Kaanepilt puudub</translation>
     </message>
     <message>
         <source>Could not retrieve poster</source>
-        <translation>Ei saa tõmmata plakatit</translation>
+        <translation type="obsolete">Ei saa tõmmata plakatit</translation>
     </message>
     <message>
         <source>A movie poster exists for this movie but Myth could not retrieve it within a reasonable amount of time.
@@ -355,66 +463,80 @@
         <translation type="obsolete">Selle filmi jaoks on plakat küll olemas kuid Myth ei suutnud mõistliku aja jooksul seda ära tõmmata.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="170"/>
         <source>Sorting ignores case</source>
         <translation>Sorteerimine sõltumatu tähesuurusest</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="173"/>
         <source>If set, case is ignored when sorting entries in a view.</source>
         <translation>Märkimisel ignoreeritakse vaate elementide sorteerimisel tähesuurust.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="180"/>
         <source>Show folders for database views</source>
         <translation>Näita katalooge andmebaasi vaadetes</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="184"/>
         <source>If set, sub folders of your video directory will be shown in supported views.</source>
         <translation>Märkimisel näidatakse ka videokataloogi alamkataloogide sisu.</translation>
     </message>
     <message>
         <source>Image cache size</source>
-        <translation>Pildipuhvri suurus</translation>
+        <translation type="obsolete">Pildipuhvri suurus</translation>
     </message>
     <message>
         <source>This setting determines the number of images MythVideo will cache for views.</source>
-        <translation>See määrang näitab MythVideo vaatamisel puhverdatavate piltide arvu.</translation>
+        <translation type="obsolete">See määrang näitab MythVideo vaatamisel puhverdatavate piltide arvu.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/metadata.cpp" line="818"/>
         <source>^(The |A |An )</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="643"/>
         <source>All</source>
         <translation>Kõik</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="144"/>
         <source>Yes</source>
         <translation>Jah</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="144"/>
         <source>No</source>
         <translation>Ei</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="650"/>
         <source>Title</source>
         <translation>Pealkiri</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="652"/>
         <source>Year</source>
         <translation>Aasta</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="654"/>
         <source>User Rating</source>
         <translation>Kasutaja reiting</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="656"/>
         <source>Runtime</source>
         <translation>Pikkus</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="658"/>
         <source>Filename</source>
         <translation>Failinimi</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="660"/>
         <source>Video ID</source>
         <translation>Video ID</translation>
     </message>
@@ -422,13 +544,14 @@
         <source>
 
 You have no VCD Player command defined.</source>
-        <translation>
+        <translation type="obsolete">
 
 VCD mängija käsku pole määratud.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/main.cpp" line="127"/>
         <source>OK, I&apos;ll go run Setup</source>
-        <translation>OK, avan sätted</translation>
+        <translation>OK, avan seadistused</translation>
     </message>
     <message>
         <source>
@@ -447,46 +570,56 @@ You have no DVD Device defined.</source>
 DVD seadet pole määratud.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="327"/>
         <source>Location of VCD device</source>
         <translation>VCD seade asukoht</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="342"/>
         <source>This device must exist, and the user running MythDVD needs to have read permission on the device.</source>
         <translation>Seade peab eksisteerima ning olema MythDVD käivitanud kasutajale loetav.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="338"/>
         <source>Location of DVD device</source>
         <translation>DVD seade asukoht</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="349"/>
         <source>On DVD insertion</source>
         <translation>DVD sisestamisel</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="350"/>
         <source>Display mythdvd menu</source>
         <translation>Kuva mythdvd menüü</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="351"/>
         <source>Do nothing</source>
         <translation>Ära tee midagi</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="352"/>
         <source>Play DVD</source>
         <translation>Mängi DVD</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="353"/>
         <source>Rip DVD</source>
         <translation>Ripi DVD</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="355"/>
         <source>Media Monitoring should be turned on to allow this feature (Setup -&gt; General -&gt; CD/DVD Monitor</source>
         <translation>Selle võimaluse kasutamiseks peab meedia jälgimine olema sisse lülitatud (Sätted -&gt; Üldine -&gt; CD/DVD jälgimine)</translation>
     </message>
     <message>
         <source>General Settings</source>
-        <translation type="obsolete">Üldised sätted</translation>
+        <translation type="obsolete">Üldised seadistused</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="424"/>
         <source>DVD Player Command</source>
         <translation>DVD mängija käsk</translation>
     </message>
@@ -495,637 +628,874 @@ DVD seadet pole määratud.</translation>
         <translation type="obsolete">Suvaline käks DVD mängija käivitamiseks (näiteks MPlayer, ogle, xine jne). Käsureal olev %d asendatakse DVD seadme nimega (nt. /dev/dvd).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="435"/>
         <source>VCD Player Command</source>
         <translation>VCD mängija käsk</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="439"/>
         <source>This can be any command to launch a VCD player (e.g. MPlayer, xine, etc.). If present, %d will be substituted for the VCD device (e.g. /dev/cdrom).</source>
         <translation>Suvaline käks VCD mängija käivitamiseks (näiteks MPlayer, xine jne). Käsureal olev %d asendatakse VCD seadme nimega (nt. /dev/dvd).</translation>
     </message>
     <message>
         <source>DVD Player Settings</source>
-        <translation type="obsolete">DVD mängija sätted</translation>
+        <translation type="obsolete">DVD mängija seadistused</translation>
     </message>
     <message>
         <source>VCD Player Settings</source>
-        <translation type="obsolete">VCD mängija sätted</translation>
+        <translation type="obsolete">VCD mängija seadistused</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="448"/>
         <source>Directory to hold temporary files</source>
         <translation>Kataloog ajutiste failide hoidmiseks</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="456"/>
         <source>This directory must exist, and the user running MythDVD needs to have write permission to the directory.</source>
         <translation>See kataloog peab eksisteerima ning MythDVD kasutajal peab olema sinna kataloogi kirjutamisõigus.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="463"/>
         <source>Title Playing Command</source>
         <translation>Pealkirja mängimise käsk</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="469"/>
         <source>This is a command used to preview a given title on a DVD. If present %t will be set to the title, %d for device, %a for audio track, %c for audio channels.</source>
         <translation>Seda käsku kasutatakse etteantud pealkirja eelvaateks DVD pealt. Käsureal olev %t asendatakse pealkirjaga, %d seadme nimega, %a heliraja numbriga ning %c helikanaliga.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="476"/>
         <source>Subtitle arguments:</source>
         <translation>Subtiitrite argumendid:</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="481"/>
         <source>If you choose any subtitles for ripping, this command is added to the end of the Title Play Command to allow previewing of subtitles. If  present %s will be set to the subtitle track. </source>
         <translation>Kui subtiitrid on valitud rippimiseks, lisatakse see käsk subtiitrite eelvaateks pealkirja mängimise käsu lõppu. Käsureas olev %s asendatakse subtiitriraja numbriga.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="488"/>
         <source>Base transcode command</source>
         <translation>Transkodeerimise käsk</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="491"/>
         <source>This is the base (without arguments) command to run transcode on your system.</source>
         <translation>See on transkodeerimise käsk (ilma argumentideta).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="498"/>
         <source>MTD port number</source>
         <translation>MTD pordi number</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="502"/>
         <source>The port number that should be used for communicating with the MTD (Myth Transcoding Daemon)</source>
         <translation>MTD-ga (Myth Transcoding Daemon) ühendumiseks kasutatav port</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="509"/>
         <source>MTD logs to terminal window</source>
         <translation>MTD logib terminaliaknasse</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="514"/>
         <source>If set, the MTD (Myth Transcoding Daemon) will log to the window it is started from. Otherwise, it will write to a file called  mtd.log in the top level ripping directory.</source>
         <translation>Märkimisel logib MTD (Myth Transcoding Daemon) aknasse, kus ta käivitati. Märkimatajätmisel kirjutatakse logi rippimise tipptaseme kataloogis asuvasse faili mtd.log.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="521"/>
         <source>Transcode AC3 Audio</source>
         <translation>Transkodeeri AC3 heli</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="525"/>
         <source>If set, the MTD (Myth Transcoding Daemon) will, by default, preserve AC3 (Dolby Digital) audio in transcoded files. </source>
         <translation>Märkimisel säilitab MTD (Myth Transcoding Daemon) transkodeeritud failis AC3 (Dolby Digital) heli.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="532"/>
         <source>Use xvid rather than divx</source>
         <translation>Kasuta divx asemel xvid-i</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="536"/>
         <source>If set, mythdvd will use the (open, free) xvid codec rather than divx whenever possible.</source>
         <translation>Märkimisel kasutatakse võimalusel divx asemel xvid avatud koodekit.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="554"/>
         <source>Nice level for MTD</source>
         <translation>MTD viisakuse aste</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="558"/>
         <source>This determines the priority of the Myth Transcoding Daemon. Higher numbers mean lower priority (more CPU to other tasks).</source>
         <translation>Määrab Myth Transcoding Daemon&apos;i prioriteedi. Suurem number tähendab madalamat prioriteeti (rohkem protsessoriaega teistele protsessidele).</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="565"/>
         <source>Simultaneous Transcode Jobs</source>
         <translation>Samaaegsed transkodeerimistööd</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="569"/>
         <source>This determines the number of simultaneous transcode jobs. If set at 1 (the default), there will only be one active job at a time.</source>
         <translation>Määrab samaaegsete transkodeerimiste arvu. Vaikimisi on 1 ehk tehakse vaid üks transkodeerimine korraga.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="576"/>
         <source>Ripped video segments</source>
         <translation>Ripitud videolõigud</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="582"/>
         <source>If set to something other than 0, ripped video titles will be broken up into files of this size (in MB). Applies to both perfect quality recordings and intermediate files used for transcoding.</source>
         <translation>Kui on erinev nullist, tükeldatakse videopealkirjad sellise suurusega failideks (MB). Kehtib nii tulemuse kui ka vahepealsetel ettappidel tekkivate failide kohta.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="804"/>
         <source>DVD Ripper Settings</source>
-        <translation>DVD rippija sätted</translation>
+        <translation>DVD rippija seadistused</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="813"/>
         <source>MTD Settings</source>
-        <translation>MTD sätted</translation>
+        <translation>MTD seadistused</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="372"/>
         <source>Waiting For Access to DVD</source>
         <translation>Ootan ligipääsu DVD-le</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="756"/>
         <source>Ripping to file ~</source>
         <translation>Rippimine faili ~</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="650"/>
         <source>ISO copy of %1</source>
         <translation>%1 ISO koopia</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="661"/>
         <source>Waiting for access to DVD</source>
         <translation>Ootan ligipääsu DVD-le</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="798"/>
         <source>Perfect DVD Rip of %1</source>
         <translation>Täiuslik DVD rip %1-st</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="875"/>
         <source>Transcode of %1</source>
         <translation>Transkodeeritud %1</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="893"/>
         <source>Waiting for Permission to Start Transcoding</source>
         <translation>Ootan luba transkodeerimise alustamiseks</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="1432"/>
         <source>Transcoding Pass 1 of 2 ~</source>
         <translation>Transkodeerimise 1. etapp 2-st ~</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="1440"/>
         <source>Transcoding Pass 2 of 2 ~</source>
         <translation>Transkodeerimise 2. etapp 2-st ~</translation>
     </message>
     <message>
+        <location filename="../mtd/jobthread.cpp" line="1449"/>
         <source>Transcoding ~</source>
         <translation>Transkodeerimine ~</translation>
     </message>
     <message>
         <source>Transcode is thinking </source>
-        <translation>Transkodeerija mõtleb </translation>
+        <translation type="obsolete">Transkodeerija mõtleb </translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="309"/>
         <source>Default Video Player</source>
-        <translation type="unfinished"></translation>
+        <translation>Vaikimisi videomängija</translation>
     </message>
     <message>
         <source>Remove DVD Bookmarks Older then (days)</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kustuta DVD järjehoidjad, mis on vanemad kui (päevades)</translation>
     </message>
     <message>
         <source>Delete DVD Bookmarks that are older then the Number of days specified</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kustuta DVD järjehoidjad, mis on vanemad kui päevades antud number</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="386"/>
         <source>Enable DVD Bookmark Support</source>
-        <translation type="unfinished"></translation>
+        <translation>Kasuta DVD järjehoidjaid</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="393"/>
         <source>DVD Bookmark Prompt</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD järjehoidja viip</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="396"/>
         <source>Display a prompt to choose whether to play the DVD from the beginning or from the bookmark</source>
-        <translation type="unfinished"></translation>
+        <translation>Algusest või järjehoidjast alates DVD mängimiseks küsimise viip</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="428"/>
         <source>This can be any command to launch a DVD  player (e.g. MPlayer, ogle, etc.). If present, %d will be substituted for the DVD device (e.g. /dev/dvd).</source>
-        <translation type="unfinished"></translation>
+        <translation>Suvaline käsk, mis käivitab DVD mängija (nt. MPlayer, ogle, jne.). DVD seadme nime (nt. /dev/dvd) või asendada %d.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="783"/>
         <source>General Settings (%1/%2)</source>
-        <translation type="unfinished"></translation>
+        <translation>Üldised seadistused (%1/%2)</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globals.cpp" line="22"/>
         <source>NR</source>
-        <translation type="unfinished"></translation>
+        <translation>Reitinguta</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videolist.cpp" line="866"/>
         <source>No files found</source>
-        <translation type="unfinished"></translation>
+        <translation>Faile ei leitud</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videolist.cpp" line="954"/>
         <source>Unknown Prefix</source>
-        <translation type="unfinished"></translation>
+        <translation>Tundmatu prefiks</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videolist.cpp" line="1046"/>
         <source>videos</source>
-        <translation type="unfinished"></translation>
+        <translation>videod</translation>
     </message>
     <message>
         <source>Searching for video files</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Videofailide otsimine</translation>
     </message>
     <message>
         <source>No to all</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Mitte ükski</translation>
     </message>
     <message>
         <source>Yes to all</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kõik</translation>
     </message>
     <message>
         <source>File Missing</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">fail puudub</translation>
     </message>
     <message>
         <source>%1 appears to be missing.
 Remove it from the database?</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">%1 puudub.
+Kas kustutada ka andmebaasist?</translation>
     </message>
     <message>
         <source>Updating video database</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Video andmebaasi uuendamine</translation>
     </message>
     <message>
         <source>Verifying video files</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Videofailide kontroll</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="155"/>
         <source>No rating available.</source>
-        <translation type="unfinished">Reiting puudub.</translation>
+        <translation>Reiting puudub.</translation>
     </message>
     <message>
         <source>minutes</source>
-        <translation type="unfinished">minutit</translation>
+        <translation type="obsolete">minutit</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="52"/>
         <source>Setting this value to all numbers will make your life much easier.</source>
-        <translation type="unfinished"></translation>
+        <translation>Ainult numbrite kasutamine teeb edaspidi selle sisestamise palju lihtsamaks.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="57"/>
         <source>Parental Level 4 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>4. vanemliku taseme kood</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="60"/>
         <source>This PIN is used to enter Parental Control Level 4 as well as the Video Manager.</source>
-        <translation type="unfinished"></translation>
+        <translation>Selle koodiga saab aktiveerida 4. vanemliku taseme, mis annab ligipääsu ka videohaldusele.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="68"/>
         <source>Parental Level 3 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>3. vanemliku taseme kood</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="70"/>
         <source>This PIN is used to enter Parental Control Level 3.</source>
-        <translation type="unfinished"></translation>
+        <translation>Selle koodiga saab aktiveerida 3. vanemliku taseme.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="78"/>
         <source>Parental Level 2 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>2. vanemliku taseme kood</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="80"/>
         <source>This PIN is used to enter Parental Control Level 2.</source>
-        <translation type="unfinished"></translation>
+        <translation>Selle koodiga saab aktiveerida 2. vanemliku taseme.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="191"/>
         <source>Video Tree remembers last selected position</source>
-        <translation type="unfinished"></translation>
+        <translation>Video kataloog jätab meelde viimati valitud asukoha</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="194"/>
         <source>If set, the current position in the Video Tree is persistent.</source>
-        <translation type="unfinished"></translation>
+        <translation>Märkimisel peetakse video kataloogi asukohta alati meeles.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="241"/>
         <source>Directories that hold videos</source>
-        <translation type="unfinished"></translation>
+        <translation>Videofailide kataloog</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="245"/>
         <source>Multiple directories can be separated by &apos;:&apos;. Each directory must exist and be readable by the user running MythVideo.</source>
-        <translation type="unfinished"></translation>
+        <translation>Mitme kataloogi kasutamisel tuleb need eraldada kooloniga. Kõik kataloogid peavad eksisteerima ning olema MythVideo kasutajale loetavad.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="372"/>
         <source>DVD Drive Speed</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD seadme kiirus</translation>
     </message>
     <message>
         <source>Set DVD Drive Speed during DVD Playback. Speed is in multiples of 177KB/s</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">DVD sedame kiirus filmide mahamängimisel. Kiirus on 177 KB/sek kordaja</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="543"/>
         <source>Let transcode determine frame rate</source>
-        <translation type="unfinished"></translation>
+        <translation>Transkodeerija määrab kaadrisageduse</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="547"/>
         <source>If set, transcode will determine the frame rate automatically. If not set, 23.976 is assumed.</source>
-        <translation type="unfinished"></translation>
+        <translation>Märkimisel llubatakse transkodeerijal määrata kaadrisagedus automaatselt. Vastasel juhul eeldatakse 23.976.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="636"/>
         <source>Enable automatic Parental Level from rating</source>
-        <translation type="unfinished"></translation>
+        <translation>Kasuta reitingut vanemliku taseme määramiseks</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="640"/>
         <source>If enabled, searches will automatically set the Parental Level to the one matching the rating below.</source>
-        <translation type="unfinished"></translation>
+        <translation>Märkimisel seatakse vanemlik tase reitingu alusel automaatselt.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="662"/>
         <source>Level %1</source>
-        <translation type="unfinished">Tase %1</translation>
+        <translation>Tase %1</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="666"/>
         <source>Ratings containing these strings (separated by :) will be assigned to Parental Level %1.</source>
-        <translation type="unfinished"></translation>
+        <translation>Alljärgnevaid sõnu (eraldatud koolonitega) sisaldavad reitingud määravad vanemlikuks tasemeks %1.</translation>
     </message>
     <message>
         <source>Theme Error: browser/playwait has an invalid area.</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kujunduse viga: browser/playwait asukoht vigane.</translation>
     </message>
     <message>
         <source>Theme Error: browser/novideos_info has an invalid area.</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kujunduse viga: browser/novideos_info asukoht vigane.</translation>
     </message>
     <message>
         <source>Manually Enter Video #</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Sisesta käsitsi video nr.</translation>
     </message>
     <message>
         <source>Manually Enter Video Title</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Sisesta käsitsi video pealkiri</translation>
     </message>
     <message>
         <source>Reset Entry</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Tühista andmed</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videodlg.cpp" line="303"/>
         <source>Command</source>
-        <translation type="unfinished"></translation>
+        <translation>Käsk</translation>
     </message>
     <message>
         <source>%1 failed</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">%1 ebaõnnestus</translation>
     </message>
     <message>
         <source>%1
 
 Check VideoManager Settings</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">%1
+
+Kontrolli videohalduse sätteid</translation>
     </message>
     <message>
         <source>Fetching poster for %1 (%2)</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">%1 plakati tõmbamine (%2)</translation>
     </message>
     <message>
         <source>A poster exists for this item but could not be retrieved within the timeout period.
 </source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Plakat on küll olemas kuid ei suuda mõistliku ajaga alla laadida.
+</translation>
     </message>
     <message>
         <source>OK</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">OK</translation>
     </message>
     <message>
         <source>Theme Error: selected/playwait has an invalid area.</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Kujunduse viga: selected/playwait asukoht vigane.</translation>
     </message>
     <message>
         <source>None defined</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Midagi pole kirjeldatud</translation>
+    </message>
+    <message>
+        <location filename="../mtd/jobthread.cpp" line="1454"/>
+        <source>Transcode is thinking</source>
+        <translation>Transkodeerija töötab</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="42"/>
+        <source>Manager</source>
+        <translation>Haldamine</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="221"/>
+        <source>Command to search for movie fanart</source>
+        <translation>&quot;fanart&quot; otsingukäsk</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="263"/>
+        <source>Directory that holds movie screenshots</source>
+        <translation>Piltide salvestamise kataloog</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="274"/>
+        <source>Directory that holds movie/TV Banners</source>
+        <translation>Bännerite kataloog</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="285"/>
+        <source>Directory that holds movie fanart</source>
+        <translation>&quot;fanart&quot; kataloog</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="296"/>
+        <source>Directory that holds movie trailers</source>
+        <translation>Treilerite kataloog</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="362"/>
+        <source>Remove DVD Bookmarks Older than (days)</source>
+        <translation>Vanemate DVD järjehoidjate kustutamine (päevades)</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="365"/>
+        <source>Delete DVD Bookmarks that are older than the Number of days specified</source>
+        <translation>Kustuta DVD järjehoidjad, mis on vanemad kui antud number päeva</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="377"/>
+        <source>Set DVD Drive Speed during DVD Playback. Speed is in multiples of 177KB/s. Slower speeds may reduce drive noise but in some cases it causes playback to stutter.</source>
+        <translation>DVD seadme mahamängimiskiirus. Kiirus on 177 KB/sek kordaja. Väiksem kiirus vähendab DVD seadme müra kuid võib põhjustada hüplikut mahamängimist.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="689"/>
+        <source>Enable random trailers before videos</source>
+        <translation>Mängi ennem videot juhuslikke treilereid</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="694"/>
+        <source>If set, this will enable a button called &quot;Watch With Trailers&quot; which will play a user-specified number of trailers before the movie.</source>
+        <translation>Märkimisel lisandub menüüsse nupp &quot;Vaata koos treileritega&quot;.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="702"/>
+        <source>Number of trailers to play</source>
+        <translation>Mängitavate treilerite arv</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="705"/>
+        <source>The number of trailers to play before playing the film itself </source>
+        <translation>Enne filmi mängitavate juhuslike treilerite arv</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/main.cpp" line="31"/>
+        <source>Loading videos ...</source>
+        <translation>Videode lugemine ...</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/main.cpp" line="120"/>
+        <source>You have no VCD Player command defined.</source>
+        <translation>VCD mängija käsk on määramata.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/main.cpp" line="379"/>
+        <source>Aggressive Parental Controls Warning: invalid password. An attempt to enter a MythVideo settings screen was prevented.</source>
+        <translation>Vanemliku kontrolli hoiatus: vigane parool. MythVideo seadetele on ligipääs piiraud.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="430"/>
+        <source>%1 failed
+
+%2
+
+Check VideoManager Settings</source>
+        <translation>%1 ebaõnnestus
+
+%2
+
+Kontolli videohalduse seadeid</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videolist.cpp" line="863"/>
+        <source>Video Home</source>
+        <translation>Kodukataloog</translation>
     </message>
 </context>
 <context>
     <name>ThemeUI</name>
     <message>
+        <location filename="themestrings.h" line="2"/>
         <source>Director:</source>
         <translation>Lavastaja:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="3"/>
         <source>Year:</source>
         <translation>Aasta:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="4"/>
         <source>Rated:</source>
         <translation>Hinnatud:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="5"/>
         <source>Parental Level:</source>
         <translation>Vanemlik tase:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="6"/>
         <source>Browsable:</source>
         <translation>Lehitsetav:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="7"/>
         <source>Runtime:</source>
         <translation>Pikkus:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="8"/>
         <source>Plot:</source>
         <translation>Süžee:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="9"/>
         <source>Filename:</source>
         <translation>Failinimi:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="10"/>
         <source>Cover File:</source>
         <translation>Kaanepildi fail:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="11"/>
         <source>IMDB Num.:</source>
         <translation>IMDB number:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="12"/>
         <source>SELECT: Edit</source>
         <translation>VALI: Redigeerimine</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="13"/>
         <source>INFO - Action Menu</source>
         <translation>INFO - Tegevuste menüü</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="14"/>
         <source>retrieving data...</source>
         <translation>andmete tõmbamine...</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="15"/>
         <source>[ looking for ]</source>
         <translation>[ otsimine ]</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="16"/>
         <source>Enter IMDB #</source>
         <translation>Sisesta IMDB nr</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="33"/>
         <source>loading...</source>
         <translation>laadimine...</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="34"/>
         <source>No Videos Found</source>
         <translation>Videosid ei leitud</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="19"/>
         <source>Up/Down, Page Up/Down: Browse   MENU: Options   INFO: Action Menu</source>
         <translation>Üles/alla, lehekülg üles/alla: Sirvi:   MENÜÜ: valikud   INFO: tegevuste menüü</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="20"/>
         <source>Parental</source>
         <translation>Vanemlik</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="21"/>
         <source>Level</source>
         <translation>Tase</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="38"/>
         <source>1</source>
         <translation>1</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="29"/>
         <source>Directed by</source>
         <translation>Lavastaja</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="30"/>
         <source>Year</source>
         <translation>Aasta</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="31"/>
         <source>Runtime</source>
         <translation>Pikkus</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="32"/>
         <source>User Rating</source>
         <translation>Kasutaja reiting</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="35"/>
         <source>File:</source>
         <translation>Fail:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="36"/>
         <source>Player:</source>
         <translation>Mängija:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="37"/>
         <source>PL </source>
-        <translation type="unfinished"></translation>
+        <translation>Vanemlik tase</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="39"/>
         <source>MythVideo File Associations</source>
         <translation>MythVideo failiseosed</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="40"/>
         <source>Extension:</source>
         <translation>Laiend:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="41"/>
         <source>Command:</source>
         <translation>Käsk:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="42"/>
         <source>Use default player:</source>
         <translation>Kasuta vaikimisi mängijat:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="43"/>
         <source>Ignore:</source>
         <translation>Ignoreeri:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="44"/>
         <source>Edit Video Information</source>
         <translation>Muuda videoinfot</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="71"/>
         <source>Name:</source>
         <translation>Nimi:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="46"/>
         <source>Category:</source>
         <translation>Kategooria:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="47"/>
         <source>Parental Control:</source>
         <translation>Vanemlik kontroll:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="48"/>
         <source>Play File After This:</source>
         <translation>Mängi faili pärast seda:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="49"/>
         <source>File to Always Play Next:</source>
         <translation>Fail, mida alati järgmisena mängida:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="50"/>
         <source>Include while Browsing:</source>
         <translation>Lisa lehitsemisse:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="51"/>
         <source>Cover Art:</source>
         <translation>Kaanepilt:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="52"/>
         <source>Unique Player Command:</source>
         <translation>Unikaalne mängija käsk:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="53"/>
         <source>/path/to/the/thing.jpg</source>
         <translation>/faili/tee/pildini.jpg</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="54"/>
         <source>Filters video list</source>
         <translation>Filtri videonimekiri</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="55"/>
         <source>Category :</source>
         <translation>Kategooria:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="56"/>
         <source>Genre :</source>
         <translation>Žanr:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="57"/>
         <source>Country :</source>
         <translation>Riik:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="58"/>
         <source>Year :</source>
         <translation>Aasta:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="59"/>
         <source>Runtime :</source>
         <translation>Pikkus:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="60"/>
         <source>User Rating :</source>
         <translation>Kasutaja reiting:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="61"/>
         <source>Browse :</source>
         <translation>Lehitse:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="62"/>
         <source>Sort by :</source>
         <translation>Sorteeri:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="63"/>
         <source>Aucune video</source>
-        <translation type="unfinished"></translation>
+        <translation>Aucune video</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="68"/>
         <source>Rip/Transcode</source>
         <translation>Ripi / transkodeeri</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="67"/>
         <source>Job 1 of 1</source>
         <translation>Töö 1 1-st</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="69"/>
         <source>Length:</source>
         <translation>Pikkus:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="70"/>
         <source>Select:</source>
         <translation>Valik:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="72"/>
         <source>Quality:</source>
         <translation>Kvaliteet:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="73"/>
         <source>Audio Track:</source>
         <translation>Helirada:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="74"/>
         <source>AC3 Audio:</source>
         <translation>AC3 heli:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="75"/>
         <source>Subtitles:</source>
         <translation>Subtiitrid:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="76"/>
         <source>View:</source>
         <translation>Vaata:</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="77"/>
         <source>0:00:00</source>
         <translation>0:00:00</translation>
     </message>
     <message>
+        <location filename="themestrings.h" line="78"/>
         <source>Title 1 of 1</source>
         <translation>Pealkiri 1 1-st</translation>
     </message>
@@ -1137,22 +1507,27 @@ Check VideoManager Settings</source>
         <translation type="obsolete">Tundmatu</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="56"/>
         <source>%1 - Title %2</source>
         <translation>%1 - Pealkiri %2</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="151"/>
         <source>ISO Image</source>
         <translation>ISO tõmmis</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="152"/>
         <source>Perfect</source>
         <translation>Täiuslik</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="172"/>
         <source>None</source>
         <translation>Puudub</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="186"/>
         <source>Title %1 of %2</source>
         <translation>Pealkiri %1 %2-st</translation>
     </message>
@@ -1165,39 +1540,41 @@ Check VideoManager Settings</source>
         <translation type="obsolete">0 Protsessi valitud pealkirjad</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="28"/>
         <source>Unknown</source>
         <translation>Tundmatu</translation>
     </message>
     <message>
+        <location filename="../mythvideo/titledialog.cpp" line="93"/>
         <source>Begin Ripping</source>
-        <translation type="unfinished"></translation>
+        <translation>Alusta rippimist</translation>
     </message>
 </context>
 <context>
     <name>VideoBrowser</name>
     <message>
         <source>Watch This Video</source>
-        <translation>Vaata seda videot</translation>
+        <translation type="obsolete">Vaata seda videot</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Vaata kogu süžeed</translation>
+        <translation type="obsolete">Vaata kogu süžeed</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Filtri vaade</translation>
+        <translation type="obsolete">Filtri vaade</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
         <source>%1 of %2</source>
-        <translation>%1 %2-st</translation>
+        <translation type="obsolete">%1 %2-st</translation>
     </message>
     <message>
         <source>No Videos</source>
-        <translation>Pole videosid</translation>
+        <translation type="obsolete">Pole videosid</translation>
     </message>
     <message>
         <source>No rating available.</source>
@@ -1209,24 +1586,28 @@ Check VideoManager Settings</source>
     </message>
     <message>
         <source>View Cast</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Vaata näitlejaid</translation>
     </message>
 </context>
 <context>
     <name>VideoDialog</name>
     <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2211"/>
         <source>Switch to Browse View</source>
         <translation>Lülitu lehitsemise vaatele</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2215"/>
         <source>Switch to Gallery View</source>
         <translation>Lülitu galerii vaatele</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2219"/>
         <source>Switch to List View</source>
         <translation>Lülitu nimekirja vaatele</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2267"/>
         <source>Select action</source>
         <translation>Vali tegevus</translation>
     </message>
@@ -1240,16 +1621,202 @@ Check VideoManager Settings</source>
     </message>
     <message>
         <source>OK</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">OK</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="1516"/>
+        <source>No Videos Available</source>
+        <translation>Videosid pole saadaval</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2119"/>
+        <source>%1 of %2</source>
+        <translation>%1 %2-st</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2170"/>
+        <source>Watch This Video</source>
+        <translation>Vaata seda videot</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2174"/>
+        <source>Watch With Trailers</source>
+        <translation>Vaata koos treileritega</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2184"/>
+        <source>Watch Trailer</source>
+        <translation>Vaata treilerit</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2189"/>
+        <source>Video Info</source>
+        <translation>Video info</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2190"/>
+        <source>Manage Video</source>
+        <translation>Halda videot</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2192"/>
+        <source>Scan For Changes</source>
+        <translation>Skaneeri muudatusi</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2201"/>
+        <source>Change View</source>
+        <translation>Muuda vaadet</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2194"/>
+        <source>Filter Display</source>
+        <translation>Filtri vaade</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2286"/>
+        <source>Cancel</source>
+        <translation>Tühista</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2222"/>
+        <source>Switch to Manage View</source>
+        <translation>Lülitu halduse vaatele</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2226"/>
+        <source>Disable File Browse Mode</source>
+        <translation>Keela failide lehitsemine</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2229"/>
+        <source>Enable File Browse Mode</source>
+        <translation>Luba failide lehitsemine</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2233"/>
+        <source>Disable Flat View</source>
+        <translation>Keela lame vaade</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2236"/>
+        <source>Enable Flat View</source>
+        <translation>Luba lame vaade</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2254"/>
+        <source>View Details</source>
+        <translation>Vaata detaile</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2256"/>
+        <source>View Full Plot</source>
+        <translation>Vaata kogu süžeed</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2260"/>
+        <source>View Cast</source>
+        <translation>Vaata näitlejaid</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2276"/>
+        <source>Edit Metadata</source>
+        <translation>Muuda metaandmeid</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2277"/>
+        <source>Download Metadata</source>
+        <translation>Lae metaandmed alla</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2278"/>
+        <source>Manually Enter Video #</source>
+        <translation>Sisesta käsitsi video nr.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2280"/>
+        <source>Manually Enter Video Title</source>
+        <translation>Sisesta käsitsi video pealkiri</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2282"/>
+        <source>Reset Metadata</source>
+        <translation>Tühista metaandmed</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2283"/>
+        <source>Toggle Browseable</source>
+        <translation>Muuda lehitsevust</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2284"/>
+        <source>Remove Video</source>
+        <translation>Eemalda video</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2387"/>
+        <source>An error occurred when switching views.</source>
+        <translation>Vaadete muutmisel tekkis viga.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2647"/>
+        <source>Enter Video Unique ID:</source>
+        <translation>Sisesta videole ainuomane id:</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2668"/>
+        <source>Enter Video Title:</source>
+        <translation>Sisesta video pealkiri:</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2714"/>
+        <source>Delete this file?</source>
+        <translation>Kustuta see fail?</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2740"/>
+        <source>Failed to delete file</source>
+        <translation>Faili kustutamine ebaõnnestus</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2880"/>
+        <source>Poster download finished: %1 %2</source>
+        <translation>Plakati allalaadimine on lõppenud: %1 %2</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2885"/>
+        <source>A poster exists for this item but could not be retrieved within the timeout period.
+</source>
+        <translation>Plakat on küll olemas kuid ei suuda mõistliku ajaga alla laadida.
+</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2974"/>
+        <source>Fanart download finished: %1 %2</source>
+        <translation>&quot;fanart&quot;-i allalaadimine on lõppenud: %1 %2</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="2979"/>
+        <source>Fanart exists for this item but could not be retrieved within the timeout period.
+</source>
+        <translation>&quot;fanart&quot; on küll olemas kuid ei suuda mõistliku ajaga alla laadida.
+</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="3153"/>
+        <source>No matches were found.</source>
+        <translation>Vasteid ei leidunud.</translation>
     </message>
 </context>
 <context>
     <name>VideoFilterDialog</name>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="485"/>
         <source>Result of this filter : %1 video(s)</source>
         <translation>Filtri tulemus: %1 video(t)</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="491"/>
         <source>Result of this filter : No Videos</source>
         <translation>Filtri tulemus: mitte ühtegi videot</translation>
     </message>
@@ -1258,6 +1825,7 @@ Check VideoManager Settings</source>
         <translation type="obsolete">Tundmatu</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="607"/>
         <source>minutes</source>
         <translation>minutit</translation>
     </message>
@@ -1267,38 +1835,38 @@ Check VideoManager Settings</source>
     </message>
     <message>
         <source>Save as default</source>
-        <translation>Salvesta vaikeväärtuseks</translation>
+        <translation type="obsolete">Salvesta vaikeväärtuseks</translation>
     </message>
     <message>
         <source>Done</source>
-        <translation>Valmis</translation>
+        <translation type="obsolete">Valmis</translation>
     </message>
 </context>
 <context>
     <name>VideoGallery</name>
     <message>
         <source>Watch This Video</source>
-        <translation>Vaata seda videot</translation>
+        <translation type="obsolete">Vaata seda videot</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Vaata kogu süžeed</translation>
+        <translation type="obsolete">Vaata kogu süžeed</translation>
     </message>
     <message>
         <source>View Details</source>
-        <translation>Vaata detaile</translation>
+        <translation type="obsolete">Vaata detaile</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Filtri vaade</translation>
+        <translation type="obsolete">Filtri vaade</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
         <source>View Cast</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Vaata näitlejaid</translation>
     </message>
 </context>
 <context>
@@ -1373,6 +1941,37 @@ Check VideoManager Settings</source>
     </message>
 </context>
 <context>
+    <name>VideoScanner</name>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="374"/>
+        <source>Failed to Scan SG Video Hosts</source>
+        <translation>SG videoserveri skaneerimine ebaõnnestus</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="379"/>
+        <source>If they no longer exist please remove them</source>
+        <translation>Kustuta need, mida enam ei eksisteeri</translation>
+    </message>
+</context>
+<context>
+    <name>VideoScannerThread</name>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="107"/>
+        <source>Searching for video files</source>
+        <translation>Videofailide otsimine</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="211"/>
+        <source>Verifying video files</source>
+        <translation>Videofailide kontroll</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videoscan.cpp" line="258"/>
+        <source>Updating video database</source>
+        <translation>Video andmebaasi uuendamine</translation>
+    </message>
+</context>
+<context>
     <name>VideoSelected</name>
     <message>
         <source>No rating available.</source>
@@ -1391,31 +1990,31 @@ Check VideoManager Settings</source>
     </message>
     <message>
         <source>Select action</source>
-        <translation>Vali tegevus</translation>
+        <translation type="obsolete">Vali tegevus</translation>
     </message>
     <message>
         <source>Watch This Video</source>
-        <translation>Vaata seda videot</translation>
+        <translation type="obsolete">Vaata seda videot</translation>
     </message>
     <message>
         <source>View Full Plot</source>
-        <translation>Vaata kogu süžeed</translation>
+        <translation type="obsolete">Vaata kogu süžeed</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation>Filtri vaade</translation>
+        <translation type="obsolete">Filtri vaade</translation>
     </message>
     <message>
         <source>Switch to Browse View</source>
-        <translation>Lülitu lehitsemise vaatele</translation>
+        <translation type="obsolete">Lülitu lehitsemise vaatele</translation>
     </message>
     <message>
         <source>Switch to Gallery View</source>
-        <translation>Lülitu galerii vaatele</translation>
+        <translation type="obsolete">Lülitu galerii vaatele</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
         <source>Ok</source>
@@ -1423,58 +2022,58 @@ Check VideoManager Settings</source>
     </message>
     <message>
         <source>View Cast</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Vaata näitlejaid</translation>
     </message>
 </context>
 <context>
     <name>mythvideo_videomanager::VideoManagerImp</name>
     <message>
         <source>Select action:</source>
-        <translation type="unfinished">Vali tegevus:</translation>
+        <translation type="obsolete">Vali tegevus:</translation>
     </message>
     <message>
         <source>Edit Metadata</source>
-        <translation type="unfinished">Muuda metaandmeid</translation>
+        <translation type="obsolete">Muuda metaandmeid</translation>
     </message>
     <message>
         <source>Search</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Otsi</translation>
     </message>
     <message>
         <source>Manually Enter Video #</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Sisesta käsitsi video nr.</translation>
     </message>
     <message>
         <source>Manually Enter Video Title</source>
-        <translation type="unfinished"></translation>
+        <translation type="obsolete">Sisesta käsitsi video pealkiri</translation>
     </message>
     <message>
         <source>Reset Metadata</source>
-        <translation type="unfinished">Tühista metainfo</translation>
+        <translation type="obsolete">Tühista metainfo</translation>
     </message>
     <message>
         <source>Toggle Browseable</source>
-        <translation type="unfinished">Muuda lehitsevust</translation>
+        <translation type="obsolete">Muuda lehitsevust</translation>
     </message>
     <message>
         <source>Remove Video</source>
-        <translation type="unfinished">Eemalda video</translation>
+        <translation type="obsolete">Eemalda video</translation>
     </message>
     <message>
         <source>Filter Display</source>
-        <translation type="unfinished">Filtri vaade</translation>
+        <translation type="obsolete">Filtri vaade</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">Tühista</translation>
+        <translation type="obsolete">Tühista</translation>
     </message>
     <message>
         <source>Delete this file?</source>
-        <translation type="unfinished">Kustuta see fail?</translation>
+        <translation type="obsolete">Kustuta see fail?</translation>
     </message>
     <message>
         <source>delete failed</source>
-        <translation type="unfinished">kustutamine ebaõnnestus</translation>
+        <translation type="obsolete">kustutamine ebaõnnestus</translation>
     </message>
 </context>
 </TS>
